Boards

Update a board

POST/api/boards/{boardId}

Updates a board's name, description, or configuration and validates the resources and reports it references.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
boardIdrequiredstringID of the board.

Request body

NameTypeDescription
descriptionstringDescription of the resource.
namestringDisplay name of the resource.
parametersobjectConfiguration parameters for the resource.
typeanyOf
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
descriptionrequiredstringDescription of the resource.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
teamIdrequiredstringID of the associated team.
typerequiredstring
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
500Server error.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
500 example

Code samples

cURL